Bug 24854 - Remove IDreamBooks integration
Summary: Remove IDreamBooks integration
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Nick Clemens
URL:
Keywords:
: 25496 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-03-11 18:22 UTC by Owen Leonard
Modified: 2020-05-21 00:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 24854: Remove IDreamBooks integration (14.92 KB, patch)
2020-03-15 23:26 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24854: Remove IDreamBooks integration (15.72 KB, patch)
2020-03-16 22:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24854: Remove IDreamBooks integration (15.77 KB, patch)
2020-03-16 23:21 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24854: Remove IDreamBooks integration (15.86 KB, patch)
2020-03-21 21:01 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24854: Remove IDreamBooks integration (15.97 KB, patch)
2020-03-23 18:58 UTC, Nick Clemens
Details | Diff | Splinter Review
[19.11.X] Bug 24854: Disable IDreamBooks sysprefs (1.17 KB, patch)
2020-05-20 13:02 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-03-11 18:22:56 UTC
It looks like IDreamBooks is not operational anymore. As far as I can tell they haven't added any data since sometime in 2018.
Comment 1 Katrin Fischer 2020-03-15 23:10:42 UTC
Last blog entries are from 7 years ago - can't see an official statement, but it looks very dead.
Comment 2 Katrin Fischer 2020-03-15 23:26:45 UTC
Created attachment 100713 [details] [review]
Bug 24854: Remove IDreamBooks integration

The IDreamBooks service has not seen updates in a long time, so
we should remove the service from Koha as it's no longer operational.

To test:
- Apply patch and run the database update
- Verify that the IDreamBooks related system preferences are gone
- Verify that opac detail pages and result lists still work
  as expected
- Run t/db_dependent/UsageStats.t
Comment 3 Katrin Fischer 2020-03-16 22:22:41 UTC
Created attachment 100833 [details] [review]
Bug 24854: Remove IDreamBooks integration

The IDreamBooks service has not seen updates in a long time, so
we should remove the service from Koha as it's no longer operational.

To test:
- Apply patch and run the database update
- Verify that the IDreamBooks related system preferences are gone
- Verify that opac detail pages and result lists still work
  as expected
- Run t/db_dependent/UsageStats.t
Comment 4 Lucas Gass 2020-03-16 23:21:22 UTC
Created attachment 100835 [details] [review]
Bug 24854: Remove IDreamBooks integration

The IDreamBooks service has not seen updates in a long time, so
we should remove the service from Koha as it's no longer operational.

To test:
- Apply patch and run the database update
- Verify that the IDreamBooks related system preferences are gone
- Verify that opac detail pages and result lists still work
  as expected
- Run t/db_dependent/UsageStats.t

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 Katrin Fischer 2020-03-17 07:07:21 UTC
Thx Lucas! Can this be set to signed off?
Comment 6 Bernardo Gonzalez Kriegel 2020-03-21 21:01:37 UTC
Created attachment 101338 [details] [review]
Bug 24854: Remove IDreamBooks integration

The IDreamBooks service has not seen updates in a long time, so
we should remove the service from Koha as it's no longer operational.

To test:
- Apply patch and run the database update
- Verify that the IDreamBooks related system preferences are gone
- Verify that opac detail pages and result lists still work
  as expected
- Run t/db_dependent/UsageStats.t

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Prefs gone. Fixed missing 'r' in atomic update message.
Test pass, no errors.
Comment 7 Nick Clemens 2020-03-23 18:58:20 UTC
Created attachment 101489 [details] [review]
Bug 24854: Remove IDreamBooks integration

The IDreamBooks service has not seen updates in a long time, so
we should remove the service from Koha as it's no longer operational.

To test:
- Apply patch and run the database update
- Verify that the IDreamBooks related system preferences are gone
- Verify that opac detail pages and result lists still work
  as expected
- Run t/db_dependent/UsageStats.t

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Prefs gone. Fixed missing 'r' in atomic update message.
Test pass, no errors.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Martin Renvoize 2020-03-24 09:30:18 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-04-03 21:28:02 UTC
not backported to 19.11.x
Comment 10 Jonathan Druart 2020-05-14 10:09:29 UTC
*** Bug 25496 has been marked as a duplicate of this bug. ***
Comment 11 Jonathan Druart 2020-05-14 10:10:43 UTC
(In reply to Joy Nelson from comment #9)
> not backported to 19.11.x

Joy, regarding bug 25496 maybe we should remove it from stable branches as well.
Comment 12 Joy Nelson 2020-05-14 16:02:17 UTC
This doesn't apply nicely to 19.11.x branch.  I wasn't comfortable with my rebasing in opac-detail.tt.  If this is necessary for the maintenance branches, I'll need assistance with a rebase.
Comment 13 Jonathan Druart 2020-05-15 07:49:20 UTC
Maybe we should just turn it off and display a message during the upgrade process?
Comment 14 Katrin Fischer 2020-05-16 10:32:26 UTC
(In reply to Jonathan Druart from comment #13)
> Maybe we should just turn it off and display a message during the upgrade
> process?

That sounds like a good idea for the older versions.
Comment 15 Jonathan Druart 2020-05-20 13:02:17 UTC
Created attachment 105145 [details] [review]
[19.11.X] Bug 24854: Disable IDreamBooks sysprefs
Comment 16 Joy Nelson 2020-05-20 15:01:50 UTC
Thanks for the rebase - pushed to 19.11.x for 19.11.06
Comment 17 Jonathan Druart 2020-05-20 15:17:24 UTC
(In reply to Joy Nelson from comment #16)
> Thanks for the rebase - pushed to 19.11.x for 19.11.06

I should note that it's not really a rebase: the patch for 19.11 is only adding a DB update entry to disable the sysprefs.
Comment 18 Joy Nelson 2020-05-20 16:39:31 UTC
(In reply to Jonathan Druart from comment #17)
> (In reply to Joy Nelson from comment #16)
> > Thanks for the rebase - pushed to 19.11.x for 19.11.06
> 
> I should note that it's not really a rebase: the patch for 19.11 is only
> adding a DB update entry to disable the sysprefs.

heh- i noticed that!  Nick mentioned I do the same as you did, but I thought y'all might want to remove all the related code as well.  :D

Removing the sysprefs is pretty effective I'd say!

Thanks
joy